<?php

class formWidgetUsersContentOptions extends cmsForm {

    public function init() {

        return [

            [
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => [

					new fieldList('options:hidden_empty', [
                        'title' => LANG_WD_USERS_CONTENT_HIDDEN_EMPTY,
						'items' => [
                            'hidden' => LANG_WD_USERS_CONTENT_HIDDEN_EMPTY_HIDDEN,
                            'show_text' => LANG_WD_USERS_CONTENT_HIDDEN_EMPTY_SHOW_TEXT
                        ]
                    ]),

					new fieldHtml('options:text_empty', [
                        'title' => LANG_WD_USERS_CONTENT_TEXT_EMPTY,
                        'options' => ['editor' => 'ace'],
						'visible_depend' => ['options:hidden_empty' => ['show' => ['show_text']]]
                    ]),

					new fieldCheckbox('options:show_avatar', array(
                        'title' => LANG_WD_USERS_CONTENT_SHOW_AVATAR
                    )),

					new fieldString('options:text_avatar', [
                        'title' => LANG_WD_USERS_CONTENT_TEXT_AVATAR,
						'hint' => LANG_WD_USERS_CONTENT_TEXT_AVATAR_HINT,
						'visible_depend' => ['options:show_avatar' => ['show' => ['1']]]
                    ]),
					new fieldCheckbox('options:show_add', array(
                        'title' => LANG_WD_USERS_CONTENT_SHOW_ADD
                    ))

                ]
            ]

        ];

    }

}
