<?php  $this->addTplCSSName('wd_user_content'); ?>

<div class="wd-user-content">
	<?php if($show_avatar) { ?>
		<a href="<?php echo href_to_profile($user); ?>" class="wd-user-content-count user-link">
			<span class="avatar"><img src="<?php echo html_avatar_image_src($user->avatar, 'normal'); ?>"></span>
			<span class="nickname"><?php echo !empty($text_avatar) ? $text_avatar : $user->nickname; ?></span>
		</a>
	<?php } ?>
	<?php if(empty($content_counts)) { ?>
		<?php echo $text_empty ; ?>
	<?php } else { ?>
		<?php foreach ($content_counts as $ctype_name => $count) { ?>
			<?php $add_link = isset($user->perms[$ctype_name]['add']) ? true : false; ?>
			<div class="wd-user-content-count">
				<?php if($show_add) { ?>
					<?php if ($add_link || $user->is_admin) { ?>	
						<a class="wd-user-content-add" title="<?php echo LANG_WD_USERS_CONTENT_ADD ; ?>" href="<?php echo href_to($ctype_name, 'add'); ?>">
							<span>+</span>
						</a>
					<?php } else { ?>
						<span class="wd-user-content-add" title="<?php echo LANG_WD_USERS_CONTENT_ADD_NO ; ?>">
							<span>-</span>
						</span>
					<?php } ?>
				<?php } ?>
				<a class="wd-user-content-ctype" title="<?php echo LANG_WD_USERS_CONTENT_TO_LIST ; ?>" href="<?php echo href_to_profile($user, array('content', $ctype_name)); ?>">
					<span class="ctype-title"><?php html($count['title']); ?></span>
					<span class="ctype-counter"><span><?php html($count['count']); ?></span></span>
				</a>
			</div>
		<?php } ?>
	<?php } ?>
</div>